---
schema_version: "1"
id: 4c766e524e99db44446178fa61425b6112c6835b0bcf5c05c011e211508a80f7
title: POST /sms/v1/messageList/{id}/deliveryReport/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/messageListDeliveryReport.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/messageListDeliveryReport.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: cd546e2a8dbb6edc32fca4332a02cffa398b68936dadf0257f795bc641dc67a2
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /sms/v1/messageList/{id}/deliveryReport/{tokenId}

## Overview

Triggers a delivery report for messageList API.

### URL Parameters

<!--complex table-->

| Name          | Type   |              | Description                                                                            |
| ------------- | ------ | ------------ | -------------------------------------------------------------------------------------- |
| **tokenid**   | string | **Required** | The ID provided in the MessageList REST response                                       |
| **messageID** | string | **Required** | The API key of the message definition (configured in the MobileConnect user interface) |

### JSON Parameters

<!--complex table-->

| Name         | Type   |              | Description                                            |
| ------------ | ------ | ------------ | ------------------------------------------------------ |
| **fileName** | string | **Required** | The name of the report file in your FTP/reports folder |

### Usage

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /sms/v1/messageList/{messageID}/deliveryReport/{tokenid}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
  "filename": "DeliveryReportFileName"
}
```
